HaruDoc::setCompressionMode
HaruDoc::setEncryptionMode
HaruDoc
PHP Manual

# HaruDoc::setCurrentEncoder

Set the current encoder for the document

### Description

bool HaruDoc::setCurrentEncoder ( string `$encoding` )

Defines the encoder currently used in the document.

### Parameters

`encoding`

  The name of the encoding to use. See Builtin Encodings for the list of allowed values.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.